sap4rails

Hello,
I need to integrate my Rails app with SAP back-end. I found this
library sap4rails, which apperenty is meant to help, but I see that
the library has not been modified since 07, and wonder if it is up-to-
date.

http://raa.ruby-lang.org/project/sap4rails

Does anyone have experience working with this library and is it a good
solution for Rails and SAP integration?
Any relevant tips please.